using System;
namespace RMYY_CallCenter_Api.Model
{
	/// <summary>
	/// T_Wo_CommonBase:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class T_Wo_CommonBase
	{
		public T_Wo_CommonBase()
		{}
		#region Model
		private string _f_wocode;
		private int _f_createuser;
		private int _f_type;
		private int _f_sontype;
		private string _f_content;
		private string  _f_proposer;
		private int _f_proposerdept;
		private string  _f_dealuser;
		private int? _f_dealdept;
		private DateTime? _f_timelimit;
		private int _f_status;
		private int _f_isdelete;
		private int _f_isdone;
		private string _f_internalworkordercode;
		private string _f_externalworkordercode;
		private DateTime _f_createtime;
		private DateTime _f_updatetime;
        private int f_replaycount = 0;
        private int f_urgecount = 0;

        public int F_ReplayCount
        {
            set { f_replaycount = value; }
            get { return f_replaycount; }
        }
        public int F_UrgeCount
        {
            set { f_urgecount = value; }
            get { return f_urgecount; }
        }
        
        /// <summary>
        /// 
        /// </summary>
        public string F_WoCode
		{
			set{ _f_wocode=value;}
			get{return _f_wocode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_CreateUser
		{
			set{ _f_createuser=value;}
			get{return _f_createuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_Type
		{
			set{ _f_type=value;}
			get{return _f_type;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_SonType
		{
			set{ _f_sontype=value;}
			get{return _f_sontype;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Content
		{
			set{ _f_content=value;}
			get{return _f_content;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Proposer
		{
			set{ _f_proposer=value;}
			get{return _f_proposer;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_ProposerDept
		{
			set{ _f_proposerdept=value;}
			get{return _f_proposerdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string  F_DealUser
		{
			set{ _f_dealuser=value;}
			get{return _f_dealuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_DealDept
		{
			set{ _f_dealdept=value;}
			get{return _f_dealdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_TimeLimit
		{
			set{ _f_timelimit=value;}
			get{return _f_timelimit;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_Status
		{
			set{ _f_status=value;}
			get{return _f_status;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_IsDelete
		{
			set { _f_isdelete = value; }
			get { return _f_isdelete; }
		}
		public int F_IsDone
		{
			set { _f_isdone = value; }
			get { return _f_isdone; }
		}

		public string F_InternalWorkOrderCode
		{
			set { _f_internalworkordercode = value; }
			get { return _f_internalworkordercode; }
		}

		public string F_ExternalWorkOrderCode
		{
			set { _f_externalworkordercode = value; }
			get { return _f_externalworkordercode; }
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime F_CreateTime
		{
			set{ _f_createtime=value;}
			get{return _f_createtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime F_UpdateTime
		{
			set{ _f_updatetime=value;}
			get{return _f_updatetime;}
		}

        public string F_Phone { set; get; }
        #endregion Model

    }
}

